#**************************************************************************
#* LPRng IFHP Filter
#* Copyright 1994-1997 Patrick Powell, San Diego, CA <papowell@astart.com>
#*
#* Based on the CTI printer filters.
#*  See COPYRIGHT for details.
#*
#* $Id: Makefile.in,v 2.5 1997/12/18 09:48:06 papowell Exp papowell $
#

prefix=@prefix@

VPATH=@srcdir@
SRC=@srcdir@

# Directory where the manual pages are to be placed

MAN=${prefix}/man
INSTALLCMD=@INSTALL@
FONTDIR=${prefix}/lib/filters/fonts/
INSTDIR=${prefix}/lib/filters/

#**************** configure does not change lines after this *********

.PHONY: install all clean distclean ci

all: ifhp.8

install: ifhp.8
	${SRC}/mkinstalldirs $(MAN)/man8
	$(INSTALLCMD) -c $^ $(MAN)/man8/$^

clean:
	rm -f ifhp.8

ifhp.8: ifhp.n Makefile
	VERSION=`cat ../$(SRC)/VERSION | sed 's/.* //'`; \
		sed -e 's,_FONTDIR_,$(FONTDIR),g' \
	    -e 's,_INSTDIR_,$(INSTDIR),g' \
	    -e "s,_VERSION_,$${VERSION},g" \
	    ifhp.n >$@

distclean: clean
	rm -f Makefile Makefile.bsd

ci:
	if test ! -d RCS ; then mkdir RCS; fi;
	for i in Makefile.in Makefile *.n; do \
		ci $(CI) -l -mUpdate -t-Initial $$i; \
	done;
